package com.loafle.overflow.rpc.api;

import com.googlecode.jsonrpc4j.JsonRpcMethod;
import com.googlecode.jsonrpc4j.JsonRpcService;

import com.loafle.overflow.crawler.Crawler;
import com.loafle.overflow.rpc.model.Input;
import com.loafle.overflow.rpc.model.Output;




@JsonRpcService("/rpc")
public interface Remote {

    @JsonRpcMethod("RPC.Init")
    Output init(Input input) throws Exception;


    @JsonRpcMethod("RPC.Add")
    Output add(Input input) throws Exception ;

//    @JsonRpcMethod("Remote.remove")
    int addDelegate(String name , Crawler crawler);

    @JsonRpcMethod("RPC.Get")
    Output get(Input input) throws Exception;


    @JsonRpcMethod("RPC.Remove")
    Output remove(Input input) throws Exception;


}